Bug 1410580 - [RFE] PCI: Reserve MMIO space over 4G for PCI hotplug
Summary: [RFE] PCI: Reserve MMIO space over 4G for PCI hotplug
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: unspecified
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ovirt-4.3.0
: ---
Assignee: Nobody
QA Contact: meital avital
URL:
Whiteboard:
Depends On: 1390346 1408813
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-05 19:34 UTC by Marcel Apfelbaum
Modified: 2019-04-28 10:03 UTC (History)
15 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of: 1408813
Environment:
Last Closed: 2019-01-09 12:21:21 UTC
oVirt Team: Virt
Target Upstream Version:


Attachments (Terms of Use)

Description Marcel Apfelbaum 2017-01-05 19:34:15 UTC
+++ This bug was initially created as a clone of Bug #1408813 +++

+++ This bug was initially created as a clone of Bug #1390346 +++

QEMU reserves only 32-bit memory range for hotplug. The range can be rather limited and not enough to hot-plug devices with large BARs.

Add a parameter to QEMU to reserve a 64-bit range in CRS
starting after the memory ranged reserved for memory hotplug.

Check that all the range is addressable by VM's CPU.

Add libvirt support for the new command line parameters.

Comment 1 Marcel Apfelbaum 2017-01-05 19:57:17 UTC
This should work the same as with Memory Hotplug.
If for Memory Hotplug we need to specify the slots and max size at command line, for the PCI Hotplug over 4G we only need to specify the size.

By default the allocated size will be 0, because when we reserve the space we add a constraint on the VM CPU addressable bits. Reserving a bigger chunk may create problems when we want to migrate the VM to a host with less addressable bits.

Because of the above, libvirt can't decide by itself and the upper layers need to handle this trade-off: more hot-pluggable space VS potential migration limitations.


Note You need to log in before you can comment on or make changes to this bug.